Bug 224947 - When merging branches in GIT, by default only show --no-merged branches
When merging branches in GIT, by default only show --no-merged branches
Status: RESOLVED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Git
7.3
PC Linux
: P3 (vote)
: 7.4
Assigned To: Ondrej Vrabec
issues@versioncontrol
: PLAN
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-16 09:39 UTC by jonathanvilalopez
Modified: 2013-01-29 03:28 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
IDE log (544.41 KB, text/plain)
2013-01-16 09:39 UTC, jonathanvilalopez
Details
branch picker (39.80 KB, image/png)
2013-01-21 16:38 UTC, Ondrej Vrabec
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jonathanvilalopez 2013-01-16 09:39:13 UTC
When I go to merge my branch to the master, it shows me all the branches, but I dont have any mark to see which branches have been already merged. 

It would be so usefull to show if the branch in the lista has been merged, or with a check box checked by default show only non merged branches.

Regards.

Product Version = NetBeans IDE Dev (Build nbms-and-javadoc-10068-on-20130114)
Operating System = Linux version 3.2.0-30-generic running on amd64
Java; VM; Vendor = 1.7.0_09
Runtime = OpenJDK 64-Bit Server VM 23.2-b09
Comment 1 jonathanvilalopez 2013-01-16 09:39:25 UTC
Created attachment 130271 [details]
IDE log
Comment 2 Ondrej Vrabec 2013-01-21 16:38:00 UTC
are you talking about this dialog?
Comment 3 Ondrej Vrabec 2013-01-21 16:38:05 UTC
Created attachment 130457 [details]
branch picker
Comment 4 jonathanvilalopez 2013-01-21 16:44:45 UTC
YEs, exactly that dialog....

You can see all the branches from the begining, but you have no mark to see if that branch has already been merged.
Comment 5 Ondrej Vrabec 2013-01-28 15:50:08 UTC
fix: http://hg.netbeans.org/core-main/rev/d63ca7ad1e97
Comment 6 Quality Engineering 2013-01-29 03:28:12 UTC
Integrated into 'main-golden', will be available in build *201301290001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/d63ca7ad1e97
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: #224947 - When merging branches in GIT, by default only show --no-merged branches


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo